classification
Title: Fix sort order in Misc/ACKS.
Type: enhancement Stage:
Components: Documentation Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Arfrever, brian.curtin, dmi.baranov, docs@python, ezio.melotti, georg.brandl, taewong.seo
Priority: normal Keywords: patch

Created on 2013-09-16 21:02 by taewong.seo, last changed 2013-09-18 15:53 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
ACKS taewong.seo, 2013-09-16 21:02 Fix sort order.
ACKS.diff taewong.seo, 2013-09-18 09:06 Change Bozon's last name to have accented letters.
Messages (15)
msg197945 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-16 21:02
This patch fixes sort order in file Misc/ACKS.
msg197947 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-09-16 21:08
The Å sorts correctly after the Z.
Have you changed anything else other than that?
(If you upload a diff file it's better)
msg197949 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-16 21:21
Letter a-with-ring is used in Swedish, Danish, Norwegian, Finnish and several other languages.
You have accentuated some contributor names (for example: Bozon, Donmez and Niksic).
You want to make a diff file for this.
msg197962 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-09-17 06:32
Please do not change the ordering of Å -- it is correct after Z, at least in Swedish, Danish and Norwegian.

If you want to sort German umlauts correctly, in lists of names they are treated as [aou]+e, so "Löwis" goes before "Lowe".

As for Aahz, he appears by that name alone and should not be changed.

It's Jean-Paul, not Jean-Pierre Calderone.  This change makes me wary of accepting any of your other changes.  How did you come to your spellings of the names?

If you do, please resubmit in diff form.
msg197968 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-17 08:03
You want to submit a diff file.
You are not signing contributor agreement.
Letter a-with-ring is also usd in transliteration of Avestan language.
msg197993 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-17 14:48
You want to add the packaging coordinator Laca (real name László Péter in Hungarian) to Misc/ACKS.

And you want to add a bunch of real names from the python-bugs-list mailing list (from August 2007 to September 2013).
msg198000 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2013-09-17 23:23
I don't believe we want to do those things. Changes should be in a diff file and limited to the minimum amount of required changes to fix your sort ordering bug - not adding people or changing the spelling of people's names.
msg198001 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-17 23:35
You want to make diff file to get changes from the ACKS file.
msg198006 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-09-18 08:29
Well, it is customary for the patch submitter to make the diff.  This makes it much easier for us to review.

Closing for now; please note our suggestions and reopen/resubmit as a diff file if you feel like it.
msg198008 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-18 08:52
Your Gmail account tried to send spam for this account.

Be careful with this message. Many people marked similar messages as spam.

Open this bug and have someone made a diff file to fix sort order.
msg198011 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-18 09:06
New diff file to change Bozon's last name.
msg198014 - (view) Author: Dmi Baranov (dmi.baranov) * Date: 2013-09-18 10:28
Guys, don't talk with bot - here is a summary [1] and his "history of glory" with patches to contributors lists [2]. Better way is cut-off this email from python.org services.

[1] http://wiki.gbatemp.net/wiki/User:TaeWong
[2] https://www.google.com/search?q=seotaewong40@gmail.com
msg198022 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-18 14:50
The first link is a GBAtemp page.
The second link is a search.
You want to apply this patch.
msg198024 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-09-18 15:06
Let's try a plain rejection first.
msg198025 - (view) Author: Tae-Wong SEO (taewong.seo) Date: 2013-09-18 15:11
Let's restore status and resolution without rejecting.

You want to apply this.
History
Date User Action Args
2013-09-18 15:53:13benjamin.petersonsetstatus: open -> closed
resolution: rejected
2013-09-18 15:11:36taewong.seosetstatus: closed -> open
resolution: rejected -> (no value)
messages: + msg198025
2013-09-18 15:06:41georg.brandlsetstatus: open -> closed
resolution: rejected
messages: + msg198024
2013-09-18 14:50:03taewong.seosetmessages: + msg198022
2013-09-18 10:28:22dmi.baranovsetstatus: pending -> open
nosy: + dmi.baranov
messages: + msg198014

2013-09-18 09:06:49taewong.seosetstatus: closed -> pending
files: + ACKS.diff
messages: + msg198011

keywords: + patch
2013-09-18 08:52:56taewong.seosetmessages: + msg198008
2013-09-18 08:29:11georg.brandlsetstatus: open -> closed

messages: + msg198006
2013-09-17 23:35:18taewong.seosetstatus: pending -> open

messages: + msg198001
2013-09-17 23:23:33brian.curtinsetstatus: open -> pending
nosy: + brian.curtin
messages: + msg198000

2013-09-17 14:48:22taewong.seosetmessages: + msg197993
2013-09-17 08:03:08taewong.seosetstatus: pending -> open

messages: + msg197968
2013-09-17 06:52:07Arfreversetstatus: open -> pending
2013-09-17 06:51:46Arfreversetstatus: pending -> open
nosy: + Arfrever
2013-09-17 06:32:52georg.brandlsetstatus: open -> pending
nosy: + georg.brandl
messages: + msg197962

2013-09-16 21:21:33taewong.seosetmessages: + msg197949
2013-09-16 21:08:36ezio.melottisetnosy: + ezio.melotti
messages: + msg197947
2013-09-16 21:02:14taewong.seocreate